# Generated by Django 2.2.5 on 2020-08-19 13:25

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('common', '0005_auto_20191006_0237'),
    ]

    operations = [
        migrations.CreateModel(
            name='InfoMatrix',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('uuid_session', models.UUIDField()),
                ('customer_rut', models.CharField(max_length=20, verbose_name='RUT del cliente')),
                ('amount', models.PositiveIntegerField(default=0, verbose_name='Amount')),
                ('debt', models.PositiveIntegerField(default=0, verbose_name='Debt')),
                ('invoices', models.TextField(verbose_name='Folio de Invoices')),
                ('description', models.TextField(verbose_name='Descripcion de Invoices')),
                ('debts', models.TextField(verbose_name='Deudas de Invoices')),
            ],
            options={
                'ordering': ['-id'],
            },
        ),
        migrations.CreateModel(
            name='HistoricalInfoMatrix',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('uuid_session', models.UUIDField()),
                ('customer_rut', models.CharField(max_length=20, verbose_name='RUT del cliente')),
                ('amount', models.PositiveIntegerField(default=0, verbose_name='Amount')),
                ('debt', models.PositiveIntegerField(default=0, verbose_name='Debt')),
                ('invoices', models.TextField(verbose_name='Folio de Invoices')),
                ('description', models.TextField(verbose_name='Descripcion de Invoices')),
                ('debts', models.TextField(verbose_name='Deudas de Invoices')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical info matrix',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
